package com.sky.ioc.service.parking;

import com.sky.ioc.entity.params.IocParam;
import com.sky.ioc.tool.ReturnMsg;

/**
 * TODO  智慧停车
 * @Description
 * @Author LunCe
 * @Date 2023/2/10 13:44
 **/
public interface ParkingService {
    ReturnMsg getCoreIndicators(IocParam iocParam);

    ReturnMsg getTrafficflowSituation(IocParam iocParam);

    ReturnMsg getVacantParkingSpace(IocParam iocParam);

    ReturnMsg getStopViolation(IocParam iocParam);

    ReturnMsg getOccupationOfParkingSpace(IocParam iocParam);

    ReturnMsg getParkingSpaceDetails(IocParam iocParam);

    ReturnMsg getParkingData();
}
